Install PiCluster on Ubuntu
07/08/2017 12:06 AM - Daniel Curtis

Status: Closed Start date: 07/09/2017
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Jails / Container Estimated time: 1.50 hour
Target version: Ubuntu 14.04 / Derivative Spent time: 1.00 hour
Description

This is a guide for installing PiCluster on Ubuntu 16.04.

Prepare the Environment

e Switch to root:
sudo -1i
® Make sure the system is up to date:
apt—-get update && apt-get upgrade
e |nstall prerequisites:
apt—-get install docker git nodejs nodejs-legacy npm
e Start and enable docker at boot:

systemctl enable docker
systemctl start docker

Install PiCluster

* Download the latest PiCluster version from GitHub:
git clone https://github.com/picluster/picluster.git /opt/picluster
e Edit the config.json file:
vi config. json
o And edit the config file to suit your environment:

NOTE: Use the web_connect key to the value of the host systems IP address. Otherwise you will get connection errors
while starting the agent.

"token":"45FGO9A23DE12045E20BB854AC",
"docker":"/opt/picluster/docker",
"server_port":"3000",

04/20/2024 1/3




"agent_port": "3001",
"layout": [

{"node":"192.168.1.191", "mysql":"-p 3306:3306","nginx":"-p 80:80"},
{"node":"192.168.1.192", "openvpn":"-p 1194:1194"}],

"hb": [

{"node":"192.168.1.191", "mysgl":"3306", "nginx":

{"node":"192.168.1.192", "openvpn":"1194"}
1,

"Vip": [

{"node":"192.168.1.191", "vip_eth_device":"eth0",

ime": "10000"},

HSO"L

"slave": "192.168.1.192", "vip_ping_t

{"node":"192.168.1.192", "vip_eth device":"ethO0","slave": "192.168.1.191", "vip_ping ti

me": "15000"}
]I
"commandlist": [{
"SystemUpdate": "pacman -Syu —-yes"
}]I
"vip_ip": "192.168.1.202",
"autostart_containers": "enabled",
"rsyslog_logfile": "/var/log/syslog",
"rsyslog_host": "192.168.1.202",
"automatic_heartbeat": "enabled",
"heartbeat_interval”™: "300000",
"syslog": "dmesg",
"web_username": "admin",
"web_password":"admin",
"web_connect":"192.168.1.190",
"web_port":"3003"

e |nstall server:

cd /opt/picluster/
npm install

Init with pm2

e [nstall pm2:
npm install -g pm2
e |nstall the pm2 systemd init script as the picluster user:
pm2 startup systemd
* Export the picluster config filepath environment variable:
export PICLUSTER_CONFIG='/opt/picluster/config. json'
e Start the server, agent, and webconsole scripts:

pm2 start /opt/picluster/server/server.js
pm2 start /opt/picluster/agent/agent.js
pm2 start /opt/picluster/web/webconsole. js
e Save the pm2 session to restart at boot:

pm2 save

* Enable pm2 at boot:

systemctl enable pm2-root

Resources

e https://github.com/rusher81572/picluster

History

#1 - 07/08/2017 12:09 AM - Daniel Curtis

- Status changed from New to In Progress

- Start date changed from 07/08/2017 to 07/09/2017
- % Done changed from 0 to 30

#2 - 07/09/2017 09:53 PM - Daniel Curtis
- Description updated
- Status changed from In Progress to Resolved

- % Done changed from 30 to 100

#3 - 07/20/2017 10:44 PM - Daniel Curtis

- Description updated

#4 - 10/05/2017 07:06 PM - Daniel Curtis
- Description updated

- Status changed from Resolved to Closed
